Skip to content

Delete a dock slot

Logistics module

DELETE/dock-slots/{id}dockSlots.delete

A dock slot booking. Soft-deletes the dock slot: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability logistics.dock_slot.write.
  • OAuth scopes: logistics.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

dockSlots.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the dock slot.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/dock-slots/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.dockSlots.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.dock_slots.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos dock-slots delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f